Bug 227133 - www/nextcloud: Update to 13.0.1
Summary: www/nextcloud: Update to 13.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks: 225959 226076
  Show dependency treegraph
 
Reported: 2018-03-31 13:17 UTC by Bernard Spil
Modified: 2018-04-04 09:58 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (loic.blot)


Attachments
svn diff for www/nextcloud (713.60 KB, patch)
2018-03-31 13:17 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (714.82 KB, patch)
2018-03-31 13:44 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-03-31 13:17:25 UTC
Created attachment 192001 [details]
svn diff for www/nextcloud

```
www/nextcloud: Update to 13.0.1

 - Move bundled Nextcloud Apps to apps-pkg dir
 - Chase dir change in Nextcloud Apps
 - Provide info for post-upgrade tasks

PR:
Approved by: (maintainer)
```
Comment 1 Bernard Spil freebsd_committer 2018-03-31 13:44:01 UTC
Created attachment 192003 [details]
svn diff for www/nextcloud

* Add Opcache option
* Add more post-update fix info and tools
* Fix plist
Comment 2 Bernard Spil freebsd_committer 2018-03-31 13:45:37 UTC
Latest patch also includes transfer of maintainer to me.
Comment 3 Bernard Spil freebsd_committer 2018-03-31 13:50:09 UTC
```
www/nextcloud: Update to 13.0.1

 - Move bundled Nextcloud Apps to apps-pkg dir [2]
 - Chase dir change in Nextcloud Apps
 - Provide info for post-upgrade tasks
 - Add Opcache option [3]
 - Transfer maintainership

PR: 227133, 226076 [2], 225959 [3]
Submitted by: Matthias Fechner <idefix fechner net>
Submitted by: Matt <fsbruva yahoo com> [3]
Approved by: (maintainer)
```
Comment 4 loic.blot 2018-04-02 12:06:17 UTC
as i'm a little bit busy and unreactive on nextcloud no problem for taking ownership.
I see a real installation problem to not have default apps by default. Did you try a vanilla installation ? Don't forget to add a notice in pkg-message
Comment 5 Bernard Spil freebsd_committer 2018-04-02 19:34:55 UTC
(In reply to loic.blot from comment #4)
> I see a real installation problem to not have default apps by default.
That's not what happens. The port adds an extra item to the apps_paths array in config/config.sample for the packaged apps. It sets /apps to writeable and /apps-pkg to not-writable

> Don't forget to add a notice in pkg-message
Patch adds info to UPDATING and pkg-message and adds a file fix_apps_paths.json with instructions how to merge this with an existing configuration.

Naturally, people won't see/read this and open PR's but we'll deal with that. Ultimately users have the best of both worlds, install apps from the app-store in www-writable /apps and packages from freebsd pkg hosts will live in non-writable /apps-pkg

Do let me know if I've missed anything!
Comment 6 loic.blot 2018-04-02 22:23:58 UTC
it's reasonable for me, go :)
Thanks for your involvement
Comment 7 commit-hook freebsd_committer 2018-04-04 07:11:22 UTC
A commit references this bug:

Author: brnrd
Date: Wed Apr  4 07:11:11 UTC 2018
New revision: 466393
URL: https://svnweb.freebsd.org/changeset/ports/466393

Log:
  www/nextcloud: Update to 13.0.1

   - Includes breaking rename of $WWWDIR/apps path
   - Add fix file and warnings
   - Add OpCache option
   - Alphabetic ordering
   - Migration from ownCloud is stale
   - Take maintainership

  PR:             227133
  Approved by:    Loic Blot <loic blot unix-experience fr> (maintainer)

Changes:
  head/UPDATING
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/files/fix-apps_paths.json
  head/www/nextcloud/files/patch-config_config.sample.php
  head/www/nextcloud/files/pkg-message.in
  head/www/nextcloud/pkg-plist
Comment 8 commit-hook freebsd_committer 2018-04-04 07:16:30 UTC
A commit references this bug:

Author: brnrd
Date: Wed Apr  4 07:15:39 UTC 2018
New revision: 466394
URL: https://svnweb.freebsd.org/changeset/ports/466394

Log:
  www/nextcloud: Chase change of /apps path

   - WWWDIR/apps to WWWDIR/apps-pkg
   - Bump portrevision to force reinstall
   - Update Nextcloud version dependencies

  PR:		227133

Changes:
  head/mail/nextcloud-mail/Makefile
  head/security/nextcloud-passman/Makefile
  head/security/nextcloud-twofactor_totp/Makefile
  head/security/nextcloud-twofactor_u2f/Makefile
  head/www/nextcloud-calendar/Makefile
  head/www/nextcloud-contacts/Makefile
  head/www/nextcloud-notes/Makefile
  head/www/nextcloud-tasks/Makefile